summaryrefslogtreecommitdiff
path: root/extra/ypbind-mt
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/ypbind-mt
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/ypbind-mt')
-rw-r--r--extra/ypbind-mt/PKGBUILD34
-rwxr-xr-xextra/ypbind-mt/ypbind36
-rw-r--r--extra/ypbind-mt/ypbind.conf4
3 files changed, 74 insertions, 0 deletions
diff --git a/extra/ypbind-mt/PKGBUILD b/extra/ypbind-mt/PKGBUILD
new file mode 100644
index 000000000..7aba3d55e
--- /dev/null
+++ b/extra/ypbind-mt/PKGBUILD
@@ -0,0 +1,34 @@
+# $Id: PKGBUILD 91694 2010-09-27 17:40:26Z bisson $
+# Maintainer: judd <jvinet@zeroflux.org>
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
+
+pkgname=ypbind-mt
+pkgver=1.32
+pkgrel=1
+pkgdesc='Linux NIS daemon'
+arch=('i686' 'x86_64')
+url='http://www.linux-nis.org/nis/ypbind-mt/'
+license=('GPL2')
+depends=('rpcbind' 'openslp')
+backup=('etc/yp.conf' 'etc/conf.d/ypbind')
+source=("ftp://ftp.kernel.org/pub/linux/utils/net/NIS/$pkgname-$pkgver.tar.gz"
+ 'ypbind.conf'
+ 'ypbind')
+sha1sums=('136d1cb1499d32d01f7efa216352911980a7dda8'
+ '07dee386d001fb9e9e6b76dda8af5b2092e5a4a2'
+ '66f6ea2f622e0724e6017bf835d4f7f4a5bf9534')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr --disable-dbus-nm
+ make
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+ install -D -m644 etc/yp.conf "$pkgdir"/etc/yp.conf
+ install -D -m755 ../ypbind "$pkgdir"/etc/rc.d/ypbind
+ install -D -m644 ../ypbind.conf "$pkgdir"/etc/conf.d/ypbind
+ install -d -m755 "$pkgdir"/var/yp/binding
+}
diff --git a/extra/ypbind-mt/ypbind b/extra/ypbind-mt/ypbind
new file mode 100755
index 000000000..5ef5cf5b3
--- /dev/null
+++ b/extra/ypbind-mt/ypbind
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/ypbind
+
+case "$1" in
+ start)
+ stat_busy "Starting NIS Bind Daemon"
+ [ -f /etc/defaultdomain ] && /bin/domainname -F /etc/defaultdomain
+ /usr/sbin/ypbind $YPBIND_ARGS
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon ypbind
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping NIS Bind Daemon"
+ killall -q /usr/sbin/ypbind
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon ypbind
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
diff --git a/extra/ypbind-mt/ypbind.conf b/extra/ypbind-mt/ypbind.conf
new file mode 100644
index 000000000..fd0ebd491
--- /dev/null
+++ b/extra/ypbind-mt/ypbind.conf
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to ypbind
+#
+YPBIND_ARGS=""